# SoVRMLVertexPoint Class Reference

`#include <Inventor/VRMLnodes/SoVRMLVertexPoint.h>`

Inheritance diagram for SoVRMLVertexPoint:

List of all members.

## Detailed Description

The SoVRMLVertexPoint class is a superclass for point based VRML shapes.

## Public Member Functions

virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual void | notify (SoNotList *list)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFNode | coord
SoSFNode | color

## Protected Member Functions

| SoVRMLVertexPoint (void)
virtual | ~SoVRMLVertexPoint ()
virtual SbBool | shouldGLRender (SoGLRenderAction *action)
virtual void | computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)

## Constructor & Destructor Documentation

SoVRMLVertexPoint::SoVRMLVertexPoint | ( | void |  | ) | `[protected]`

| Constructor.

SoVRMLVertexPoint::~SoVRMLVertexPoint | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLVertexPoint::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLGeometry. Reimplemented in SoVRMLPointSet.

void SoVRMLVertexPoint::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoVRMLVertexPoint::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoShape. Reimplemented in SoVRMLPointSet.

void SoVRMLVertexPoint::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables.

Reimplemented from SoShape.

Reimplemented in SoVRMLPointSet.

void SoVRMLVertexPoint::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoShape.

void SoVRMLVertexPoint::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoVRMLVertexPoint::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoShape.

void SoVRMLVertexPoint::notify | ( | SoNotList * | list | ) | `[virtual]`

| Notifies all auditors for this instance when changes are made. Reimplemented from SoVRMLGeometry.

SbBool SoVRMLVertexPoint::shouldGLRender | ( | SoGLRenderAction * | action | ) | `[protected, virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoVRMLGeometry.

void SoVRMLVertexPoint::computeBBox | ( | SoAction * | action,
|  | SbBox3f & | box,
|  | SbVec3f & | center
| ) | `[protected, virtual]`

Implemented by SoShape subclasses to let the SoShape superclass know the exact size and weighted center point of the shape's bounding box.

The bounding box and center point should be calculated and returned in the local coordinate system.

The method implements action behavior for shape nodes for SoGetBoundingBoxAction. It is invoked from SoShape::getBoundingBox(). (Subclasses should not override SoNode::getBoundingBox().)

The box parameter sent in is guaranteed to be an empty box, while center is undefined upon function entry.

Implements SoShape.

## Member Data Documentation

SoSFNode SoVRMLVertexPoint::coord

| Should contain an SoVRMLCoordinate node.

SoSFNode SoVRMLVertexPoint::color

| Can contain an SoVRMLColor node when color per point is needed.

The documentation for this class was generated from the following files:

- SoVRMLVertexPoint.h
- VertexPoint.cpp